Package org.apache.aries.transaction.parsing

## Class TxNamespaceHandler

- java.lang.Object
- - org.apache.aries.transaction.parsing.TxNamespaceHandler

All Implemented Interfaces:
  `org.apache.aries.blueprint.NamespaceHandler`

    public class TxNamespaceHandler
    extends java.lang.Object
    implements org.apache.aries.blueprint.NamespaceHandler

### Field Summary

Fields
`static java.lang.String` `ANNOTATION_PARSER_BEAN_NAME`
`static java.lang.String` `TX_NAMESPACE_URI`

### Constructor Summary

Constructors
`TxNamespaceHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.blueprint.reflect.ComponentMetadata` `decorate​(org.w3c.dom.Node node, org.osgi.service.blueprint.reflect.ComponentMetadata cm, org.apache.aries.blueprint.ParserContext pc)`
`java.util.Set<java.lang.Class>` `getManagedClasses()`
`java.net.URL` `getSchemaLocation​(java.lang.String namespaceUri)`
`org.osgi.service.blueprint.reflect.Metadata` `parse​(org.w3c.dom.Element elt, org.apache.aries.blueprint.ParserContext pc)`
`void` `setCoordinator​(org.osgi.service.coordinator.Coordinator coordinator)`
`void` `setTm​(javax.transaction.TransactionManager tm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TX_NAMESPACE_URI

    public static final java.lang.String TX_NAMESPACE_URI

See Also:
  Constant Field Values

#### ANNOTATION_PARSER_BEAN_NAME

    public static final java.lang.String ANNOTATION_PARSER_BEAN_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### TxNamespaceHandler

    public TxNamespaceHandler()

### Method Detail

#### decorate

    public org.osgi.service.blueprint.reflect.ComponentMetadata decorate​(org.w3c.dom.Node node,
                                                                         org.osgi.service.blueprint.reflect.ComponentMetadata cm,
                                                                         org.apache.aries.blueprint.ParserContext pc)

Specified by:
  `decorate` in interface `org.apache.aries.blueprint.NamespaceHandler`

#### parse

    public org.osgi.service.blueprint.reflect.Metadata parse​(org.w3c.dom.Element elt,
                                                             org.apache.aries.blueprint.ParserContext pc)

Specified by:
  `parse` in interface `org.apache.aries.blueprint.NamespaceHandler`

#### getSchemaLocation

    public java.net.URL getSchemaLocation​(java.lang.String namespaceUri)

Specified by:
  `getSchemaLocation` in interface `org.apache.aries.blueprint.NamespaceHandler`

#### setTm

    public void setTm​(javax.transaction.TransactionManager tm)

#### setCoordinator

    public void setCoordinator​(org.osgi.service.coordinator.Coordinator coordinator)

#### getManagedClasses

    public java.util.Set<java.lang.Class> getManagedClasses()

Specified by:
  `getManagedClasses` in interface `org.apache.aries.blueprint.NamespaceHandler`